require 'spec_helper'

describe EventbriteApiClient::Params do
  subject(:params) { EventbriteApiClient::Params.new }

  context 'methods' do
    let(:datetime) { Time.at(0) }
    let(:formatted_datetime) { "1970-01-01T00:00:00Z" }

    describe '#format' do
      let(:hash) { { id: 1, start: datetime } }

      before { params.data = hash }

      it 'should update datetime values' do
        expect(params.format)
          .to eq( { id: 1, start: formatted_datetime } )
      end
    end

    describe '#format_datetime' do
      it 'should return a date as utc in the format YYYY-MM-DDThh:mm:ssZ' do
        expect(params.format_datetime(datetime)).to eq(formatted_datetime)
      end
    end
  end
end
